Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.editor.controls
Class ControlRootEClassControl2SWTRenderer

    java.lang.Object
      org.eclipse.emf.ecp.view.model.common.AbstractRenderer<VELEMENT>
          org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer<VCONTROL>
              org.eclipse.emf.ecp.view.spi.core.swt.AbstractControlSWTRenderer<VControl>
                  org.eclipse.emf.ecp.view.spi.core.swt.SimpleControlSWTRenderer
                      org.eclipse.emf.ecp.view.spi.core.swt.SimpleControlSWTControlSWTRenderer
                          org.eclipse.emf.ecp.view.internal.editor.controls.ControlRootEClassControl2SWTRenderer

Direct Known Subclasses:
  ControlRootEClassControlChangeableSWTRenderer

    public class ControlRootEClassControl2SWTRenderer

extends SimpleControlSWTControlSWTRenderer

Author:
  Alexandra Buzila

Constructor Summary
`ControlRootEClassControl2SWTRenderer(VControl vElement, ViewModelContext viewContext, ReportService reportService)` Default constructor.

Method Summary
`void` | `dispose()` Disposes all resources used by the renderer.

Methods inherited from class org.eclipse.emf.ecp.view.spi.core.swt.SimpleControlSWTRenderer
`getGridDescription`

Methods inherited from class org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer
`finalizeRendering, init, render`

Methods inherited from class org.eclipse.emf.ecp.view.model.common.AbstractRenderer
`getVElement, getViewModelContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControlRootEClassControl2SWTRenderer

    public ControlRootEClassControl2SWTRenderer(VControl vElement,
                                                ViewModelContext viewContext,
                                                ReportService reportService)

  Default constructor.

  Parameters:
    `vElement` - the view model element to be rendered
    `viewContext` - the view context
    `reportService` - The `ReportService`

Method Detail

### dispose

    public void dispose()

  Description copied from class: `SimpleControlSWTRenderer`
  Disposes all resources used by the renderer. Don't forget to call super.dispose if overwriting this method.

  See Also:
    `AbstractSWTRenderer.dispose()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.